package com.bonus.canteen.core.order.deprecated.param;

public class OrderDetailParam {
   private Long goodsDishesId;
   private String goodsDishesName;
   private Integer price;
   private Integer weightUnit;
   private Integer quantity;
   private Integer salesMode;
   private Integer totalAmount;
   private Integer detailType;
   private String tasteName;
   private String inventoryId;

   public Long getGoodsDishesId() {
      return this.goodsDishesId;
   }

   public String getGoodsDishesName() {
      return this.goodsDishesName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getWeightUnit() {
      return this.weightUnit;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getTotalAmount() {
      return this.totalAmount;
   }

   public Integer getDetailType() {
      return this.detailType;
   }

   public String getTasteName() {
      return this.tasteName;
   }

   public String getInventoryId() {
      return this.inventoryId;
   }

   public void setGoodsDishesId(final Long goodsDishesId) {
      this.goodsDishesId = goodsDishesId;
   }

   public void setGoodsDishesName(final String goodsDishesName) {
      this.goodsDishesName = goodsDishesName;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setWeightUnit(final Integer weightUnit) {
      this.weightUnit = weightUnit;
   }

   public void setQuantity(final Integer quantity) {
      this.quantity = quantity;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setTotalAmount(final Integer totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setDetailType(final Integer detailType) {
      this.detailType = detailType;
   }

   public void setTasteName(final String tasteName) {
      this.tasteName = tasteName;
   }

   public void setInventoryId(final String inventoryId) {
      this.inventoryId = inventoryId;
   }
}
